unofficial mirror of emacs-devel@gnu.org 
 help / color / mirror / code / Atom feed
From: Paul Eggert <eggert@cs.ucla.edu>
To: Karl Fogel <kfogel@red-bean.com>, Eli Zaretskii <eliz@gnu.org>
Cc: emacs-devel@gnu.org
Subject: Re: Recommend these .gitconfig settings for git integrity.
Date: Sun, 31 Jan 2016 13:48:22 -0800	[thread overview]
Message-ID: <56AE8126.9090708@cs.ucla.edu> (raw)
In-Reply-To: <87mvrle8ho.fsf@red-bean.com>

[-- Attachment #1: Type: text/plain, Size: 470 bytes --]

Karl Fogel wrote:
> Eli Zaretskii<eliz@gnu.org>  writes:
>> >I think a better place is admin/notes/git-workflow and
>> >http://www.emacswiki.org/emacs/GitForEmacsDevs.  CONTRIBUTE's topics
>> >are different.
> Ah, thank you -- I didn't think of that.  Agreed.

We shouldn't need to configure fetch.fsckObjects and receive.fsckObjects, as 
they default to transfer.fsckObjects.

I installed the attached patch to try to automate this; I think this'll be more 
effective.

[-- Attachment #2: 0001-autogen.sh-now-arranges-for-git-to-check-hashes.patch --]
[-- Type: text/x-diff, Size: 906 bytes --]

From b1ccd481738b1427ac0e294f2405a9ebe86c8561 Mon Sep 17 00:00:00 2001
From: Paul Eggert <eggert@cs.ucla.edu>
Date: Sun, 31 Jan 2016 13:43:13 -0800
Subject: [PATCH] autogen.sh now arranges for git to check hashes

Suggested by Karl Fogel in:
http://lists.gnu.org/archive/html/emacs-devel/2016-01/msg01802.html
* autogen.sh: Do "git config transfer.fsckObjects true".
---
 autogen.sh | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/autogen.sh b/autogen.sh
index a63c53c..877bb84 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -220,6 +220,11 @@ echo timestamp > src/stamp-h.in || exit
 ## Configure Git, if using Git.
 if test -d .git && (git status -s) >/dev/null 2>&1; then
 
+    # Check hashes when transferring objects among repositories.
+
+    git config transfer.fsckObjects true || exit
+
+
     # Configure 'git diff' hunk header format.
 
     git config 'diff.elisp.xfuncname' \
-- 
2.5.0


  reply	other threads:[~2016-01-31 21:48 UTC|newest]

Thread overview: 47+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-01-31 20:22 Recommend these .gitconfig settings for git integrity Karl Fogel
2016-01-31 20:35 ` Eli Zaretskii
2016-01-31 21:37   ` Karl Fogel
2016-01-31 21:48     ` Paul Eggert [this message]
2016-02-01 15:42       ` Karl Fogel
2016-02-01 16:01         ` Óscar Fuentes
2016-02-01 16:24           ` Stefan Monnier
2016-02-01 16:39             ` Karl Fogel
2016-02-01 19:12               ` Stefan Monnier
2016-02-01 19:56                 ` Paul Eggert
2016-02-01 20:28                   ` Eli Zaretskii
2016-02-01 21:40                     ` Stefan Monnier
2016-02-02  8:02                     ` Paul Eggert
2016-02-02  8:17                       ` John Wiegley
2016-02-02 12:58                       ` Stefan Monnier
2016-02-02 15:49                       ` Óscar Fuentes
2016-02-02 17:55                         ` Paul Eggert
2016-02-02 18:48                           ` Óscar Fuentes
2016-02-03  7:31                             ` Paul Eggert
2016-02-03 16:20                               ` Óscar Fuentes
2016-02-03 18:10                                 ` Paul Eggert
2016-02-03 20:50                                   ` Óscar Fuentes
2016-02-04  3:53                                     ` Stefan Monnier
2016-02-02 23:22                           ` Karl Fogel
2016-02-03  0:20                             ` Lars Ingebrigtsen
2016-02-03  2:16                             ` John Wiegley
2016-02-03  2:26                               ` Paul Eggert
2016-02-03  6:35                                 ` John Wiegley
2016-02-03 15:47                                 ` Eli Zaretskii
2016-02-03 17:40                                   ` Paul Eggert
2016-02-03 17:52                                     ` Eli Zaretskii
2016-02-03 18:04                                       ` Paul Eggert
2016-02-04  0:20                                         ` Lars Ingebrigtsen
2016-02-02 16:19                       ` Eli Zaretskii
2016-02-01 18:39             ` John Wiegley
2016-02-01 16:35           ` Paul Eggert
2016-02-01 16:51             ` Óscar Fuentes
2016-02-01 17:40               ` Paul Eggert
2016-02-01 20:34                 ` Óscar Fuentes
2016-02-01 18:09               ` Karl Fogel
2016-02-01 20:56                 ` Óscar Fuentes
2016-02-01 21:07                   ` Karl Fogel
2016-02-02 10:30                 ` Tom
2016-02-02 15:37                   ` Paul Eggert
2016-02-02 17:24                     ` Tom
2016-02-02 17:54                       ` Paul Eggert
2016-02-01 20:50             ` Karl Fogel

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

  List information: https://www.gnu.org/software/emacs/

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=56AE8126.9090708@cs.ucla.edu \
    --to=eggert@cs.ucla.edu \
    --cc=eliz@gnu.org \
    --cc=emacs-devel@gnu.org \
    --cc=kfogel@red-bean.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
Code repositories for project(s) associated with this public inbox

	https://git.savannah.gnu.org/cgit/emacs.git

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).